# NOTE: Derived from auto/Bforum.pm.
# Changes made here will be lost when autosplit again.
# See AutoSplit.pm.
package Bforum;

#line 2448 "auto/Bforum.pm (autosplit into auto\Bforum\error.al)"
sub error {

	if ($init{'error'}) { exit(1); }
	$init{'error'} = 1;
	$do{'nocache'} = 1;

	$error = {
		"01" => {
			key => "ERROR CODE",
			value => (caller)[2] . '@' . (caller)[1]
		},
		"02" => {
			key => "PID",
			value => $$
		},
		"03" => {
			key => "UID",
			value => $<
		},
		"04" => {
			key => "EUID",
			value => $>
		},
		"05" => {
			key => "GID",
			value => $(
		},
		"06" => {
			key => "EGID",
			value => $)
		},
		"07" => {
			key => "OS NAME",
			value => $^O
		},
		"08" => {
			key => "PROGRAM NAME",
			value => $0
		},
		"09" => {
			key => "PERL VERSION",
			value => $]
		},
		"10" => {
			key => "DEBUGGING",
			value => $^A
		},
		"11" => {
			key => "BASETIME",
			value => $^T
		},
		"12" => {
			key => "EXEC NAME",
			value => $^X
		},
	};

	$email{'error_code'} = $error->{'01'}->{value};

	undef $print;

	&change($_[0]);
	if ($_[0]) { $print .= "<b>ERROR:</b> $_[0]\n<br>\n<br>\n"; }
	$print .= "$TEXT{'ERROR_1'}\n<br>\n";
	$print .= "$TEXT{'ERROR_2'}\n<br>\n";
	$print .= "<table border=1 style=\"font-size:smaller\">\n";
	foreach (sort keys %{$error}) {
		$print .= "<tr><th>$error->{$_}->{key}</th><td>$error->{$_}->{value}</td></tr>\n";
		$email{'error'} .= sprintf("%-20s%-s\n",$_->{key},$_->{value});
	}
	foreach (sort keys %SET) {
		$email{'setting'} .= sprintf("%-20s%-s\n",$_,$SET{$_});
	}
	foreach (sort keys %in) {
		my ($tmp1);
		$tmp1 = uc ($_);
		$print .= "<tr><th>$tmp1</th><td>$in{$_}</td></tr>\n";
		$email{'query'} .= sprintf("%-20s%-s\n",$tmp1,$in{$_});
	}
	foreach (sort keys %ENV) {
		$email{'env'} .= sprintf("%-25s%-s\n",$_,$ENV{$_});
	}
	$print .= "</table>";

	&sendmail(&_open(undef,"$SET{'USER_DIR'}/$in{'id'}/BF.email.error$browser","$SET{'USER_DIR'}/BF.email.error$browser"),\%email);

	$print =~ s/\\/\\\\/go;

	&print;

}

# end of Bforum::error
1;
